org.apache.tomcat.util

## Class DomUtil.NullResolver

- java.lang.Object
- - org.apache.tomcat.util.DomUtil.NullResolver

- All Implemented Interfaces:
    org.xml.sax.EntityResolver
  Enclosing class:
    DomUtil

      public static class DomUtil.NullResolver
      extends java.lang.Object
      implements org.xml.sax.EntityResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomUtil.NullResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomUtil.NullResolver

          public DomUtil.NullResolver()

  - ### Method Detail

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                              java.lang.String systemId)
                                                throws org.xml.sax.SAXException,
                                                       java.io.IOException

      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.